using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TratamentoExcecoes;

namespace WebApplication3
{
   public partial class Contato : System.Web.UI.Page
   {
      protected void Page_Load(object sender, EventArgs e)
      {

      }

      protected void Enviar_Click(object sender, EventArgs e)
      {
         // 1. validar os dados obrigatórios
         if (SeuNome.Text.Trim() == "")
         {
            Alerta.Text = "Digite seu nome";
         }
         else if (Email.Text.Trim() == "")
         {
            Alerta.Text = "Digite seu e-mail";
         }
         else if (Mensagem.Text.Trim() == "")
         {
            Alerta.Text = "Digite a mensagem";
         }
         else
         {
            try
            {
               // ENVIAR O EMAIL

               // 2. Criar o e-mail
               MailMessage email = new MailMessage();
               email.To.Add("contato@seudominio.com.br");
               MailAddress from = new MailAddress("contato@seudominio.com.br");
               email.From = from;
               email.Subject = "E-mail enviado do form de contato";
               email.Body = "Data: " + System.DateTime.Now.ToString() + "\n";
               email.Body += "Nome: " + SeuNome.Text + "\n";
               email.Body += "E-mail: " + Email.Text + "\n";
               email.Body += "Mensagem: " + Mensagem.Text + "\n";
               email.IsBodyHtml = false;

               // 3. enviar o e-mail

               SmtpClient smtp = new SmtpClient();
               smtp.Host = "seudominio.com.br";
               smtp.Credentials = new System.Net.NetworkCredential("contato@seudominio.com.br", "suasenha");
               smtp.Send(email);
            }
            catch (Exception ex)
            {
               Alerta.Text = "Houve um problema ao enviar o email";

               /* recuperar os dados da exceção e fazer um append no arquivo texto "exceções.txt" */

               Excecoes excecoes = new Excecoes();
               excecoes.SaveException(ex);

            }
         }
      }
   }
}